總覽

Python 用戶端程式庫託管於 GitHub,而 PyPI 即可取得套件。

我們針對用戶端程式庫的 10.0.0 版本導入了多項介面變更,詳情請參閱程式庫 10.0.0 版一節。

需求條件

程式庫需要 Python 3.8 以上版本。

必要條件

安裝程式庫前,您需要開發人員權杖和用戶端客戶 ID。方法請參閱「必要條件」一節中的操作說明。請注意,您將在後續步驟中產生其他必要的 OAuth2 權杖。

安裝

請按照安裝說明文件中的操作說明,從 PyPi 安裝程式庫,再返回這個頁面。

設定

安裝程式庫後,您必須進行相關設定。設定程式庫的方法有很多種,詳情請參閱設定說明文件。

驗證

選定設定類型後,即可繼續產生向 API 發出要求所需的其餘 OAuth2 憑證。下列清單中提供了多種支援的 OAuth2 流程。要深入瞭解流程之間的差異,並協助判斷何者最適合您的應用程式,請參閱 OAuth 說明文件。

提出 API 要求

將 OAuth2 權杖加入設定後,即可提出 API 要求。請參閱「取得廣告活動」範例,輕鬆測試程式庫是否已正確設定可發出 API 要求。

其他資源

提出 API 要求後,請繼續使用下列用戶端程式庫: